package com.yanzuoguang.util.helper;

import com.yanzuoguang.util.vo.ResponseResult;

import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;

/**
 * 类型帮助类
 *
 * @author 颜佐光
 */
public class TypeHelper {

    /**
     * 　判断是否属于子类
     *
     * @param from
     * @param to
     * @return
     */
    public static boolean isSubType(Type from, Class to) {
        Class returnClass = getClass(from);
        boolean isResponseResult = returnClass != null && returnClass.isAssignableFrom(ResponseResult.class);
        return isResponseResult;
    }

    /**
     * 获取type的class
     *
     * @param type
     * @return
     */
    public static Class getClass(Type type) {
        if (type instanceof ParameterizedType) {
            Type rawType = ((ParameterizedType) type).getRawType();
            return getClass(rawType);
        } else if (type instanceof Class) {
            return (Class) type;
        }
        return null;
    }
}
