package com.yanzuoguang.mq.vo.req;

import io.swagger.annotations.ApiModelProperty;

/**
 * 创建服务器队列请求函数
 *
 * @author 颜佐光
 */
public class ServerQueueReqVo {
    /**
     * 服务器队列名称
     */
    @ApiModelProperty(notes = "队列名称")
    private String queueName;

    /**
     * 服务器关闭等待时间，服务器关闭之后，队列会继续存在。当超时后，会交给默认队列处理。默认为:60000毫秒
     */
    @ApiModelProperty(notes = "服务器关闭等待时间，服务器关闭之后，队列会继续存在。当超时后，会交给默认队列处理。默认为:60000毫秒")
    private long serverWaitTime = 60000;

    /**
     * 构造函数
     *
     * @param queueName 队列名称
     */
    public ServerQueueReqVo(String queueName) {
        this.queueName = queueName;
    }

    public ServerQueueReqVo(String queueName, long serverWaitTime) {
        this.queueName = queueName;
        this.serverWaitTime = serverWaitTime;
    }

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public long getServerWaitTime() {
        return serverWaitTime;
    }

    public void setServerWaitTime(long serverWaitTime) {
        this.serverWaitTime = serverWaitTime;
    }
}
